=== debian/changelog ===
ros-noetic-trac-ik-lib (1.6.6-1focal) focal; urgency=high



 -- TRACLabs Robotics <robotics@traclabs.com>  Wed, 05 May 2021 05:00:00 -0000

ros-noetic-trac-ik-lib (1.6.4-1focal) focal; urgency=high

  * added nlopt depends to traciklib cmake
  * Contributors: Stephen Hart

 -- TRACLabs Robotics <robotics@traclabs.com>  Thu, 29 Apr 2021 05:00:00 -0000

ros-noetic-trac-ik-lib (1.6.2-1focal) focal; urgency=high



 -- TRACLabs Robotics <robotics@traclabs.com>  Wed, 17 Mar 2021 05:00:00 -0000
